
Microsoft Visual Studio Solution File, Format Version 12.00
# Visual Studio 15
VisualStudioVersion = 15.0.27428.2015
MinimumVisualStudioVersion = 10.0.40219.1
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "MonoGame.FourEngine", "MonoGame.FourEngine\MonoGame.FourEngine.csproj", "{F6C99C44-D6DD-4303-9D64-0377883791D8}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "MonoGame.FourEngine.Sample.Win32", "MonoGame.FourEngine.Sample.Win32\MonoGame.FourEngine.Sample.Win32.csproj", "{FFA3308D-D060-4C90-B894-8829DEB87102}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "MonoGame.FourEngine.Tiled", "MonoGame.FourEngine.Tiled\MonoGame.FourEngine.Tiled.csproj", "{12990AE8-A150-45DE-B02A-F8F2D570BCF6}"
EndProject
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Demos", "Demos", "{612E2DCD-1EA7-4B92-87DB-4F5BFC9F83FD}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Rotor.Win32", "Rotor.Win32\Rotor.Win32.csproj", "{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "MonoGame.FourEngine.Raycast", "MonoGame.FourEngine.Raycast\MonoGame.FourEngine.Raycast.csproj", "{DA712F29-9DCE-4288-B58D-AF2C30634179}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Raycast.Win32", "Raycast.Win32\Raycast.Win32.csproj", "{5365BE60-6E48-4F5F-BA78-434336FC3D75}"
EndProject
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Raycast", "Raycast", "{B0BE082E-D1E2-4B7C-ACE1-97361DA4CA3D}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "MonoGame.FourEngine.Raycast.Tiled", "MonoGame.FourEngine.Raycast.Tiled\MonoGame.FourEngine.Raycast.Tiled.csproj", "{5E71CCB6-51C2-4A7A-B793-84B3E507F265}"
EndProject
Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Tools", "Tools", "{3C1A5A4E-B431-498A-A6B5-ECAD58AD30A4}"
EndProject
Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "rg", "rg\rg.csproj", "{756CE6C4-D3F8-420E-80B3-518463D1D41B}"
EndProject
Global
	GlobalSection(SolutionConfigurationPlatforms) = preSolution
		Debug|Any CPU = Debug|Any CPU
		Debug|ARM = Debug|ARM
		Debug|x64 = Debug|x64
		Debug|x86 = Debug|x86
		Release|Any CPU = Release|Any CPU
		Release|ARM = Release|ARM
		Release|x64 = Release|x64
		Release|x86 = Release|x86
	EndGlobalSection
	GlobalSection(ProjectConfigurationPlatforms) = postSolution
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Debug|ARM.ActiveCfg = Debug|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Debug|ARM.Build.0 = Debug|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Debug|x64.ActiveCfg = Debug|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Debug|x64.Build.0 = Debug|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Debug|x86.ActiveCfg = Debug|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Debug|x86.Build.0 = Debug|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Release|Any CPU.Build.0 = Release|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Release|ARM.ActiveCfg = Release|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Release|ARM.Build.0 = Release|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Release|x64.ActiveCfg = Release|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Release|x64.Build.0 = Release|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Release|x86.ActiveCfg = Release|Any CPU
		{F6C99C44-D6DD-4303-9D64-0377883791D8}.Release|x86.Build.0 = Release|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Debug|ARM.ActiveCfg = Debug|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Debug|ARM.Build.0 = Debug|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Debug|x64.ActiveCfg = Debug|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Debug|x64.Build.0 = Debug|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Debug|x86.ActiveCfg = Debug|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Debug|x86.Build.0 = Debug|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Release|Any CPU.Build.0 = Release|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Release|ARM.ActiveCfg = Release|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Release|ARM.Build.0 = Release|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Release|x64.ActiveCfg = Release|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Release|x64.Build.0 = Release|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Release|x86.ActiveCfg = Release|Any CPU
		{FFA3308D-D060-4C90-B894-8829DEB87102}.Release|x86.Build.0 = Release|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Debug|ARM.ActiveCfg = Debug|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Debug|ARM.Build.0 = Debug|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Debug|x64.ActiveCfg = Debug|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Debug|x64.Build.0 = Debug|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Debug|x86.ActiveCfg = Debug|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Debug|x86.Build.0 = Debug|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Release|Any CPU.Build.0 = Release|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Release|ARM.ActiveCfg = Release|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Release|ARM.Build.0 = Release|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Release|x64.ActiveCfg = Release|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Release|x64.Build.0 = Release|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Release|x86.ActiveCfg = Release|Any CPU
		{12990AE8-A150-45DE-B02A-F8F2D570BCF6}.Release|x86.Build.0 = Release|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Debug|ARM.ActiveCfg = Debug|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Debug|ARM.Build.0 = Debug|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Debug|x64.ActiveCfg = Debug|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Debug|x64.Build.0 = Debug|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Debug|x86.ActiveCfg = Debug|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Debug|x86.Build.0 = Debug|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Release|Any CPU.Build.0 = Release|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Release|ARM.ActiveCfg = Release|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Release|ARM.Build.0 = Release|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Release|x64.ActiveCfg = Release|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Release|x64.Build.0 = Release|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Release|x86.ActiveCfg = Release|Any CPU
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4}.Release|x86.Build.0 = Release|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Debug|ARM.ActiveCfg = Debug|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Debug|ARM.Build.0 = Debug|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Debug|x64.ActiveCfg = Debug|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Debug|x64.Build.0 = Debug|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Debug|x86.ActiveCfg = Debug|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Debug|x86.Build.0 = Debug|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Release|Any CPU.Build.0 = Release|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Release|ARM.ActiveCfg = Release|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Release|ARM.Build.0 = Release|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Release|x64.ActiveCfg = Release|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Release|x64.Build.0 = Release|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Release|x86.ActiveCfg = Release|Any CPU
		{DA712F29-9DCE-4288-B58D-AF2C30634179}.Release|x86.Build.0 = Release|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Debug|ARM.ActiveCfg = Debug|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Debug|ARM.Build.0 = Debug|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Debug|x64.ActiveCfg = Debug|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Debug|x64.Build.0 = Debug|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Debug|x86.ActiveCfg = Debug|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Debug|x86.Build.0 = Debug|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Release|Any CPU.Build.0 = Release|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Release|ARM.ActiveCfg = Release|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Release|ARM.Build.0 = Release|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Release|x64.ActiveCfg = Release|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Release|x64.Build.0 = Release|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Release|x86.ActiveCfg = Release|Any CPU
		{5365BE60-6E48-4F5F-BA78-434336FC3D75}.Release|x86.Build.0 = Release|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Debug|ARM.ActiveCfg = Debug|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Debug|ARM.Build.0 = Debug|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Debug|x64.ActiveCfg = Debug|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Debug|x64.Build.0 = Debug|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Debug|x86.ActiveCfg = Debug|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Debug|x86.Build.0 = Debug|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Release|Any CPU.Build.0 = Release|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Release|ARM.ActiveCfg = Release|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Release|ARM.Build.0 = Release|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Release|x64.ActiveCfg = Release|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Release|x64.Build.0 = Release|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Release|x86.ActiveCfg = Release|Any CPU
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265}.Release|x86.Build.0 = Release|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Debug|Any CPU.Build.0 = Debug|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Debug|ARM.ActiveCfg = Debug|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Debug|ARM.Build.0 = Debug|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Debug|x64.ActiveCfg = Debug|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Debug|x64.Build.0 = Debug|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Debug|x86.ActiveCfg = Debug|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Debug|x86.Build.0 = Debug|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Release|Any CPU.ActiveCfg = Release|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Release|Any CPU.Build.0 = Release|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Release|ARM.ActiveCfg = Release|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Release|ARM.Build.0 = Release|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Release|x64.ActiveCfg = Release|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Release|x64.Build.0 = Release|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Release|x86.ActiveCfg = Release|Any CPU
		{756CE6C4-D3F8-420E-80B3-518463D1D41B}.Release|x86.Build.0 = Release|Any CPU
	EndGlobalSection
	GlobalSection(SolutionProperties) = preSolution
		HideSolutionNode = FALSE
	EndGlobalSection
	GlobalSection(NestedProjects) = preSolution
		{FFA3308D-D060-4C90-B894-8829DEB87102} = {612E2DCD-1EA7-4B92-87DB-4F5BFC9F83FD}
		{512B7276-B1E7-4CD6-A3C1-31BD76942DB4} = {612E2DCD-1EA7-4B92-87DB-4F5BFC9F83FD}
		{DA712F29-9DCE-4288-B58D-AF2C30634179} = {B0BE082E-D1E2-4B7C-ACE1-97361DA4CA3D}
		{5365BE60-6E48-4F5F-BA78-434336FC3D75} = {612E2DCD-1EA7-4B92-87DB-4F5BFC9F83FD}
		{5E71CCB6-51C2-4A7A-B793-84B3E507F265} = {B0BE082E-D1E2-4B7C-ACE1-97361DA4CA3D}
		{756CE6C4-D3F8-420E-80B3-518463D1D41B} = {3C1A5A4E-B431-498A-A6B5-ECAD58AD30A4}
	EndGlobalSection
	GlobalSection(ExtensibilityGlobals) = postSolution
		SolutionGuid = {EC283E29-F29F-4CBB-B1F1-B4DAB7722002}
	EndGlobalSection
EndGlobal
